cannot connect with ssh

Gennady Stupakov stupakov@SLAC.Stanford.EDU
Mon Nov 13 08:24:00 GMT 2000


Corinna Vinschen wrote
>Gennady Stupakov wrote:
>> I have inetd running on my WinNT4.0 sp 6. I am able to
>> connect to my computer from the outside using ftp and telnet, but
>> when I try to connect with ssh I get the following message:
>>
>> Major protocol versions incompatible.
>>
>> However, connection ssh localhost works fine.
>>
>> I had this problem before with cygwin 1.1.4 and I have it now, with the
>> latest cygwin 1.1.5-7.
>>
>> Can somebody explain me what is wrong here?

>Which ssh version are you using on the "outside" box? OpenSSH doesn't
>work with _all_ versions of ssh.com. Compile OpenSSH on the "outside"
>box and try to connect with that version.

Here are versions of ssh that cannot connet to cygwin sshd

1.$ ssh -V
SSH Version 1.2.21 [rs6000-ibm-aix4.1.5.0], protocol version 1.5.
Standard version.  Does not use RSAREF.

2.$ ssh -V
SSH Version 1.2.21 [sparc-sun-solaris2.5.1], protocol version 1.5.
Standard version.  Does not use RSAREF.

3.% ssh -V
SSH Version 1.2.27 [sparc-sun-solaris2.6], protocol version 1.5.
Standard version.  Does not use RSAREF.

4. Tera Term Pro, version 2.3, on  Windows NT.

>From what I found, the only ssh client that is able to connect
to sshd is cygwin ssh.

Gennady.


--
Want to unsubscribe from this list?
Send a message to cygwin-unsubscribe@sourceware.cygnus.com



More information about the Cygwin mailing list